Package org.eclipse.ecf.remoteservice

# Class RSARemoteServiceContainerAdapter

java.lang.Object
org.eclipse.ecf.remoteservice.RemoteServiceContainerAdapterImpl
org.eclipse.ecf.remoteservice.RSARemoteServiceContainerAdapter

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IRemoteServiceConsumer`, `IRemoteServiceContainerAdapter`, `IRemoteServiceHost`

public class RSARemoteServiceContainerAdapter extends RemoteServiceContainerAdapterImpl
A container adapter intended for use by remote service host containers. Implements IRemoteServiceContainerAdapter and IRSAHostContainerAdapter. A IRSAHostContainerAdapter that gets the actual registerService call is expected to be provided upon construction. Subclasses should extend as appropriate.

Since:
  8.9

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration`

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.RemoteServiceContainerAdapterImpl

`listeners, refToImplMap, registry`

## Constructor Summary

Constructors
Constructor
Description
`RSARemoteServiceContainerAdapter(AbstractRSAContainer container)`
`RSARemoteServiceContainerAdapter(AbstractRSAContainer container, org.eclipse.equinox.concurrent.future.IExecutor executor)`

## Method Summary

Modifier and Type
Method
Description
`protected RemoteServiceRegistrationImpl`
`createRegistration()`
`protected AbstractRSAContainer`
`getRSAContainer()`

### Methods inherited from class org.eclipse.ecf.remoteservice.RemoteServiceContainerAdapterImpl

`addRemoteServiceListener, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, asyncGetRemoteServiceReferences, checkServiceClass, connectToRemoteServiceTarget, createRegisteredEvent, createRemoteFilter, createRemoteService, createUnregisteredEvent, dispose, fireRemoteServiceListeners, getAdapter, getAllRemoteServiceReferences, getConnectContext, getContainer, getExecutor, getLocalContainerID, getRegistry, getRemoteService, getRemoteServiceCallPolicy, getRemoteServiceID, getRemoteServiceNamespace, getRemoteServiceReference, getRemoteServiceReferences, getRemoteServiceReferences, getRemoteServiceReferences, getRemoteServiceRegistrationImpl, handleServiceUnregister, registerRemoteService, removeRemoteServiceListener, setConnectContextForAuthentication, setExecutor, setRegistry, setRemoteServiceCallPolicy, ungetRemoteService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSARemoteServiceContainerAdapter

public RSARemoteServiceContainerAdapter(AbstractRSAContainer container, org.eclipse.equinox.concurrent.future.IExecutor executor)

### RSARemoteServiceContainerAdapter

public RSARemoteServiceContainerAdapter(AbstractRSAContainer container)

## Method Details

### getRSAContainer

protected AbstractRSAContainer getRSAContainer()

### createRegistration

protected RemoteServiceRegistrationImpl createRegistration()

Overrides:
  `createRegistration` in class `RemoteServiceContainerAdapterImpl`